### DB_MPOOLFILE->set_lsn_offset

`

###

    #include <db.h>

    int
    DB_MPOOLFILE->set_lsn_offset(DB_MPOOLFILE *mpf, int32_t lsn_offset);

    int
    DB_MPOOLFILE->get_lsn_offset(DB_MPOOLFILE *mpf, int32_t *lsn_offsetp);

### Description: DB_MPOOLFILE->set_lsn_offset

The DB_MPOOLFILE->set_lsn_offset method specifies the zero-based byte offset of a log sequence number (DB_LSN) on the file's pages, for the purposes of page-flushing as part of transaction checkpoint. (See the DB_ENV->memp_sync documentation for more information.)

The DB_MPOOLFILE->set_lsn_offset method configures a file in the memory pool, not only operations performed using the specified DB_MPOOLFILE handle.

The DB_MPOOLFILE->set_lsn_offset method may not be called after the DB_MPOOLFILE->open method is called. If the file is already open in the memory pool when DB_MPOOLFILE->open is called, the information specified to DB_MPOOLFILE->set_lsn_offset must be consistent with the existing file or an error will be returned.

The DB_MPOOLFILE->set_lsn_offset method returns a non-zero error value on failure and 0 on success.

### Parameters

lsn_offset
  The lsn_offset parameter is the zero-based byte offset of the log sequence number on the file's pages.

### Description: DB_MPOOLFILE->get_lsn_offset

The DB_MPOOLFILE->get_lsn_offset method returns the log sequence number byte offset.

The DB_MPOOLFILE->get_lsn_offset method may be called at any time during the life of the application.

The DB_MPOOLFILE->get_lsn_offset method returns a non-zero error value on failure and 0 on success.

### Parameters

lsn_offsetp
  The DB_MPOOLFILE->get_lsn_offset method returns the log sequence number byte offset in lsn_offsetp.

### Class

DB_ENV, DB_MPOOLFILE

### See Also

Memory Pools and Related Methods`

Copyright (c) 1996,2007 Oracle. All rights reserved.